commit:     bc08d1f69a5443be462f7152fd092d6444b4eada
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 22 18:16:42 2017 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Fri Dec 22 18:17:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc08d1f6

dev-python/mpi4py: version bump

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-python/mpi4py/Manifest            |  1 +
 dev-python/mpi4py/mpi4py-3.0.0.ebuild | 47 +++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/mpi4py/Manifest b/dev-python/mpi4py/Manifest
index 05d08d9ab5c..0c42bfee8f5 100644
--- a/dev-python/mpi4py/Manifest
+++ b/dev-python/mpi4py/Manifest
@@ -1 +1,2 @@
 DIST mpi4py-2.0.0.tar.gz 1279957 BLAKE2B 
ad75492ec09edbf6663a8962bcb4592c076ef47cdf8a9c14275077dea0abf4ce01f928d03eec80941fec37941c2ba99287263b71436baf7ed755a84cca2ea983
 SHA512 
6459b482db782fea1a80499774ebfeb09c828b6c3f1805a0ca306f26f3ebcac52ad1c83bb97a98a01b518b6a6c887f6b99dbda9c37381a5ce05ddff0edb16d81
+DIST mpi4py-3.0.0.tar.gz 1426843 BLAKE2B 
a68182c6abebac6af73654f04db9eba38f020793a9f6d0f98a5e4a483b0531e44aca3c853c20572123cc02331350bf98f8405ddd12b77e79de732f714437da9f
 SHA512 
29ce8b7fd187aadd0bf8e1928ed00cac3e898ff82432b7a95984a248559b0d580c5af418b1986d83b17ad2cf8cbb45135afacf290ba4d9b75a62b03e9ca08e16

diff --git a/dev-python/mpi4py/mpi4py-3.0.0.ebuild 
b/dev-python/mpi4py/mpi4py-3.0.0.ebuild
new file mode 100644
index 00000000000..40d15c5ad74
--- /dev/null
+++ b/dev-python/mpi4py/mpi4py-3.0.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Message Passing Interface for Python"
+HOMEPAGE="https://bitbucket.org/mpi4py/ https://pypi.python.org/pypi/mpi4py";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND="virtual/mpi"
+DEPEND="${RDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}]
+       virtual/mpi[romio] )"
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+       # not needed on install
+       rm -vr docs/source || die
+       distutils-r1_python_prepare_all
+}
+
+src_compile() {
+       export FAKEROOTKEY=1
+       distutils-r1_src_compile
+}
+
+python_test() {
+       echo "Beginning test phase"
+       pushd "${BUILD_DIR}"/../ &> /dev/null || die
+       mpiexec -n 2 "${PYTHON}" ./test/runtests.py -v || die "Testsuite failed 
under ${EPYTHON}"
+       popd &> /dev/null || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/. )
+       use examples && local DOCS=( demo )
+       distutils-r1_python_install_all
+}

Reply via email to